Page MenuHomePhabricator

CI no more inject extensions dependencies on REL branches
Closed, ResolvedPublic

Description

Hi, ci seems to be failing on patches for the REL branches:

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/TimedMediaHandler/+/441522/ and https://integration.wikimedia.org/ci/job/mediawiki-extensions-hhvm-jessie/50385/console
“TimedMediaHandler requires the MwEmbedSupport extension.”

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Translate/+/441612/
https://integration.wikimedia.org/ci/job/mediawiki-extensions-hhvm-jessie/50503/console

error is "The module 'ext.uls.mediawiki' required by 'ext.translate.pagetranslation.uls' must exist"

They run the mediawiki-extensions-* jobs which no more inject the extension dependencies.

That got broken by bc1dfe4571af83978b76c8a54617a1ecb2cfd97a

The mediawiki-extensions-* jobs are intended for Wikimedia deployment and thus should only run on master and wmf/* branches. For the REL branches we would need to use the generic jobs.

Event Timeline

Paladox created this task.Jun 22 2018, 9:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2018, 9:56 AM
Paladox added a subscriber: brion.Jun 22 2018, 9:56 AM

Change 442103 had a related patch set uploaded (by Paladox; owner: Paladox):
[integration/config@master] Fix setting extension deps for mediawiki-extensions-* tests

https://gerrit.wikimedia.org/r/442103

Vvjjkkii renamed this task from CI is broken for TimedMediaHandler REL branches to 6gaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
MacFan4000 renamed this task from 6gaaaaaaaa to CI is broken for TimedMediaHandler REL branches.Jul 1 2018, 11:34 PM
MacFan4000 updated the task description. (Show Details)
hashar renamed this task from CI is broken for TimedMediaHandler REL branches to CI no more inject extensions dependencies on REL branches.Jul 3 2018, 10:57 AM
hashar updated the task description. (Show Details)

Change 443604 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Gated extensions now use Quibble on REL branches

https://gerrit.wikimedia.org/r/443604

hashar claimed this task.Jul 3 2018, 12:43 PM

In short, the mediawiki-extensions jobs are legacy and should disappear (T197469). They are intended to tests Wikimedia deployed extensions together, which mean we only really cared of master and wmf branches.

For those extensions, we still want a regular job that get the dependencies injected. Similar to other extensions. https://gerrit.wikimedia.org/r/443604 introduce a new set of jobs named 'release-quibble*' which got the dependencies properly injected.

Or tldr: mediawiki-extensions jobs must disappear which is T197469

Change 443604 merged by jenkins-bot:
[integration/config@master] Gated extensions now use Quibble on REL branches

https://gerrit.wikimedia.org/r/443604

Change 443614 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Gated extensions were no more running tests on REL

https://gerrit.wikimedia.org/r/443614

Change 443614 merged by jenkins-bot:
[integration/config@master] Gated extensions were no more running tests on REL

https://gerrit.wikimedia.org/r/443614

hashar closed this task as Resolved.Jul 3 2018, 1:29 PM

Some tests for Translate

master
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Translate/+/443610/

hhmv/php7.0 work fine and use a job that has ~ 30 extensions injected. That is the gate for Wikimedia deployment.

**REL1_31*
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Translate/+/443611/

Ran the new job release-quibble-vendor-mysql-hhvm-docker which had the dependencies properly injected:

  • mediawiki/extensions/EventLogging
  • mediawiki/extensions/UniversalLanguageSelector
  • mediawiki/extensions/cldr

So this task is fixed.

The job failed on REL1_31 most certainly due to T197721 which would need a backport.

Change 442103 abandoned by Paladox:
Fix setting extension deps for mediawiki-extensions-* tests

https://gerrit.wikimedia.org/r/442103